Subject: Re: [PATCH net-next 2/4] tsnep: Fix rotten packets

From: Jakub Kicinski <[email-masked]>
Date: Fri, 18 Nov 2022 17:26:18 -0800

On Thu, 17 Nov 2022 21:14:38 +0100 Gerhard Engleder wrote:
> If PTP synchronisation is done every second, then sporadic the interval
> is higher than one second:
> 
> ptp4l[696.582]: master offset        -17 s2 freq   -1891 path delay 573
> ptp4l[697.582]: master offset        -22 s2 freq   -1901 path delay 573
> ptp4l[699.368]: master offset         -1 s2 freq   -1887 path delay 573
>       ^^^^^^^ Should be 698.582!
> 
> This problem is caused by rotten packets, which are received after
> polling but before interrupts are enabled again. This can be fixed by
> checking for pending work and rescheduling if necessary after interrupts
> has been enabled again.
> 
> Fixes: 403f69bbdbad ("tsnep: Add TSN endpoint Ethernet MAC driver")
> Signed-off-by: Gerhard Engleder <[email-masked]>

This patch needs to go to net separately :(
Packets getting stuck in a queue can cause real issues to users.